# align xyz positioned ~.5 ~.5 ~.5 

# 収納アイテムの情報取得 
data modify storage crp_mass_storage:temp Temp set value {}
data modify storage crp_mass_storage:temp Temp.Item set from block ~ ~ ~ Items[0]
execute store result score @s crp.ms.strg.cnt run data get storage crp_mass_storage:temp Temp.Item.tag.ItemCount
data remove storage crp_mass_storage:temp Temp.Item.tag.ItemCount
execute store result score @s crp.ms.t.result run data get storage crp_mass_storage:temp Temp.Item.tag
execute if score @s crp.ms.t.result matches 0 run data remove storage crp_mass_storage:temp Temp.Item.tag

# ブロック置きなおし
setblock ~ ~ ~ minecraft:barrel[facing=down] replace
data merge block ~ ~ ~ {CustomName:'{"translate":"crp.ms.name.storage"}',tag:{CrpMassStorage:1b}}

# armor_standの位置をブロック中心から変えるときには、tag=crp.ms.entity.storage.itemの検索ロジックを変えること
summon armor_stand ~ ~.2 ~ {NoGravity:1b, Small:1b,NoBasePlate:1b,Marker:1b,Invisible:1b,Tags:["crp.ms.entity.storage","crp.ms.entity.storage.core"],CustomNameVisible:1b,CustomName:'{"text":"0"}',ArmorItems:[{},{},{},{}],Pose:{Head:[180f,0f,0f]}}

#summon glow_item_frame ~ ~ ~ {Invisible:1b,Fixed:1b,Silent:1b,Invulnerable:1b,Facing:1b,Tags:["crp.ms.entity.storage","crp.ms.entity.storage.item"]}

summon armor_stand ~ ~-.4 ~ {NoGravity:1b, Small:1b,NoBasePlate:1b,Marker:1b,Invisible:1b,Tags:["crp.ms.entity.storage","crp.ms.entity.storage.item"],ArmorItems:[{},{},{},{}],Pose:{Head:[180f,0f,0f]}}

summon glow_item_frame ~ ~ ~ {Fixed:1b,Invulnerable:1b,Silent:1b,Invisible:1b,Facing:1b,Tags:["crp.ms.entity.storage","crp.ms.entity.storage.frame"],Item:{id:"minecraft:barrel",Count:1b,tag:{CustomModelData:9012000}}}


# 状態をクローズ状態へ
execute positioned ~ ~.2 ~ run scoreboard players set @e[tag=crp.ms.entity.storage.core,distance=..0.2,sort=nearest,limit=1] crp.ms.strg.st 10

execute positioned ~ ~.2 ~ run scoreboard players set @e[tag=crp.ms.entity.storage.core,distance=..0.2,sort=nearest,limit=1] crp.ms.strg.vcm 0

# 収納アイテムを復活
data modify block ~ ~ ~ Items prepend from storage crp_mass_storage:temp Temp.Item

execute positioned ~ ~-.4 ~ run data modify entity @e[tag=crp.ms.entity.storage.item,distance=..0.2,sort=nearest,limit=1] ArmorItems[3] set from storage crp_mass_storage:temp Temp.Item

execute positioned ~ ~.2 ~ run scoreboard players operation @e[tag=crp.ms.entity.storage.core,distance=..0.2,sort=nearest,limit=1] crp.ms.strg.cnt = @s crp.ms.strg.cnt

execute positioned ~ ~.2 ~ as @e[tag=crp.ms.entity.storage.core,distance=..0.2,sort=nearest,limit=1] run function crp_mass_storage:storage/update_item/update_count_text

data remove storage crp_mass_storage:temp Temp
