# execute as @e[tag=crp.ms.entity.storage.core]

# アイテム登録されているとき
data remove storage crp_mass_storage:temp Item.Count
data remove storage crp_mass_storage:temp Item.Slot

data modify storage crp_mass_storage:temp Temp.Item set from storage crp_mass_storage:temp Items[{Slot:0b}]
data remove storage crp_mass_storage:temp Temp.Item.Count
data remove storage crp_mass_storage:temp Temp.Item.Slot

execute store result score @s crp.ms.t.num run data get storage crp_mass_storage:temp Items[{Slot:0b}].Count

execute store success score @s crp.ms.t.result run data modify storage crp_mass_storage:temp Temp.Item set from storage crp_mass_storage:temp Item

# TODO: 同一アイテムの判定を共通処理化する？


# 登録済アイテムとインベントリ1スロットに入っているアイテムが違う
execute if score @s crp.ms.t.result matches 1 if score @s crp.ms.t.num matches 1.. run function crp_mass_storage:storage/update_item/drop_item

# インベントリにアイテムが複数ある場合
execute if score @s crp.ms.t.result matches 0 if score @s crp.ms.t.num matches 2.. run function crp_mass_storage:storage/update_item/update_count_add

# TODO: インベントリにアイテムがない場合
execute if score @s crp.ms.t.num matches 0 run function crp_mass_storage:storage/update_item/update_count_remove

